summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorkj_sh6042025-08-02 21:49:44 -0400
committerkj_sh6042025-08-02 21:49:44 -0400
commitceade587a6cabcecdd459e27119051bfee8bfbc8 (patch)
tree4db6cf9aecb0fb4a0c0996c8d6f7fc0e253767c1
parenteaf2d5408f23c2b0814c1c08867bd9d7cd3d61f2 (diff)
refactor: update `ladybird`
-rw-r--r--ladybird-kj_sh604/.SRCINFO16
-rw-r--r--ladybird-kj_sh604/PKGBUILD38
-rw-r--r--ladybird-kj_sh604/ladybird.desktop10
3 files changed, 34 insertions, 30 deletions
diff --git a/ladybird-kj_sh604/.SRCINFO b/ladybird-kj_sh604/.SRCINFO
index 318a972..8032820 100644
--- a/ladybird-kj_sh604/.SRCINFO
+++ b/ladybird-kj_sh604/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = ladybird-kj_sh604
pkgdesc = Truly independent web browser (personally maintained by: kj_sh604)
- pkgver = 20250601
+ pkgver = 20250802
pkgrel = 1
url = https://github.com/LadybirdBrowser/ladybird
arch = x86_64
@@ -22,14 +22,16 @@ pkgbase = ladybird-kj_sh604
depends = qt6-tools
depends = qt6-wayland
depends = ttf-liberation
+ provides = ladybird
+ conflicts = ladybird
options = !lto
options = !debug
options = !buildflags
- source = git+https://github.com/LadybirdBrowser/ladybird#commit=417f4edc463ae35d5073dbcfa5bd43972c32bd69
- source = git+https://github.com/microsoft/vcpkg.git#commit=89dc8be6dbcf18482a5a1bf86a2f4615c939b0fb
- source = ladybird.desktop
- sha256sums = db7cc522a771c5574dc0f575b142498671a544a62c5ef97cccd129fde04eb25a
- sha256sums = 3dfa3dc80da40483565a55180c8fa6fd9d4af2354bd1c7b38de5daecf6085a20
- sha256sums = c83838259b1b8cf1c7118b706286c99977223439bbcc056694e2952708bf2350
+ options = !staticlibs
+ options = !emptydirs
+ source = git+https://github.com/LadybirdBrowser/ladybird#commit=3dd8b3230e7a9a198e6a0cc68f8a226a7b7c1617
+ source = git+https://github.com/microsoft/vcpkg.git#commit=903956eff7cb94774a9e805ff573c000afc43e3e
+ sha256sums = 59432d4e43baaee58680b4033d896942a43312a2f4c1bd947b1e9fe7f0bbfaf7
+ sha256sums = 6c12cb5abdf86e705cc0ab66a23f3f60200af0ebc0543f7892d072a4a0800387
pkgname = ladybird-kj_sh604
diff --git a/ladybird-kj_sh604/PKGBUILD b/ladybird-kj_sh604/PKGBUILD
index 033e20b..bf4f17e 100644
--- a/ladybird-kj_sh604/PKGBUILD
+++ b/ladybird-kj_sh604/PKGBUILD
@@ -1,21 +1,21 @@
pkgname=ladybird-kj_sh604
-pkgver=20250601
+pkgver=20250802
pkgrel=1
pkgdesc='Truly independent web browser (personally maintained by: kj_sh604)'
arch=(x86_64)
url='https://github.com/LadybirdBrowser/ladybird'
license=(BSD-2-Clause)
+conflicts=(ladybird)
+provides=(ladybird)
depends=(curl ffmpeg libgl qt6-base qt6-multimedia qt6-tools qt6-wayland ttf-liberation)
makedepends=(autoconf-archive automake cmake git nasm ninja tar unzip zip)
-options=('!lto' '!debug' '!buildflags')
+options=('!lto' '!debug' '!buildflags' '!staticlibs' '!emptydirs')
source=(
- "git+$url#commit=417f4edc463ae35d5073dbcfa5bd43972c32bd69" # 2025-06-01
- "git+https://github.com/microsoft/vcpkg.git#commit=89dc8be6dbcf18482a5a1bf86a2f4615c939b0fb" # 2025-06-01 (Toolchain/BuildVcpkg.py)
- "ladybird.desktop"
+ "git+$url#commit=3dd8b3230e7a9a198e6a0cc68f8a226a7b7c1617"
+ "git+https://github.com/microsoft/vcpkg.git#commit=903956eff7cb94774a9e805ff573c000afc43e3e"
)
-sha256sums=('db7cc522a771c5574dc0f575b142498671a544a62c5ef97cccd129fde04eb25a'
- '3dfa3dc80da40483565a55180c8fa6fd9d4af2354bd1c7b38de5daecf6085a20'
- 'c83838259b1b8cf1c7118b706286c99977223439bbcc056694e2952708bf2350')
+sha256sums=('59432d4e43baaee58680b4033d896942a43312a2f4c1bd947b1e9fe7f0bbfaf7'
+ '6c12cb5abdf86e705cc0ab66a23f3f60200af0ebc0543f7892d072a4a0800387')
build() {
cd "${srcdir}"
@@ -23,28 +23,40 @@ build() {
export VCPKG_ROOT="${srcdir}/vcpkg"
export VCPKG_DISABLE_METRICS="true"
+ local use_linker=
+ if ! echo $'#if defined(__clang__)\nWE ARE ON CLANG\n#endif' | "${CC:-/usr/bin/cc}" -E - | grep -q 'WE ARE ON CLANG'; then
+ echo "Disabling LTO on Release build with GCC"
+ use_linker='-DENABLE_LTO_FOR_RELEASE=OFF'
+ fi
+
+ sed -i -e "s/COMMIT_HASH/$(git -C ladybird show -s --format=%H)/" -e "s/COMMIT_DATE/$(git -C ladybird show -s --format=%ci)/" ladybird/Base/res/ladybird/about-pages/newtab.html
+
cmake \
- --preset default \
+ --preset Release \
-B build \
-S ladybird \
-DBUILD_SHARED_LIBS=OFF \
-DCMAKE_BUILD_TYPE=Release \
+ $use_linker \
-DVCPKG_OVERLAY_TRIPLETS="${srcdir}/ladybird/Meta/CMake/vcpkg/distribution-triplets" \
-DCMAKE_INSTALL_PREFIX='/usr' \
-DCMAKE_TOOLCHAIN_FILE="${VCPKG_ROOT}/scripts/buildsystems/vcpkg.cmake" \
-DENABLE_INSTALL_HEADERS=OFF \
+ -DCMAKE_INSTALL_LIBEXECDIR="lib/${pkgname%-git}" \
-GNinja \
-Wno-dev
- ninja -C build
+ cmake --build build
}
package() {
cd "${srcdir}"
- DESTDIR="${pkgdir}" ninja -C build install
+ DESTDIR="${pkgdir}" cmake --install build
+
+ find "$pkgdir" -name '*.a' -delete
+ find "$pkgdir" -name '*.cmake' -delete
- install -Dm644 "ladybird.desktop" "${pkgdir}/usr/share/applications/${pkgname%-kj_sh604}.desktop"
install -Dm644 "ladybird/Base/res/icons/128x128/app-browser.png" "${pkgdir}/usr/share/pixmaps/ladybird.png"
- install -Dm644 ladybird/LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname%-kj_sh604}/"
+ install -Dm644 ladybird/LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}/"
}
diff --git a/ladybird-kj_sh604/ladybird.desktop b/ladybird-kj_sh604/ladybird.desktop
deleted file mode 100644
index 96a445a..0000000
--- a/ladybird-kj_sh604/ladybird.desktop
+++ /dev/null
@@ -1,10 +0,0 @@
-[Desktop Entry]
-Version=1.0
-Type=Application
-Name=Ladybird
-Comment=Web browser built from scratch using the SerenityOS LibWeb engine
-Exec=Ladybird
-Icon=ladybird
-Terminal=false
-StartupNotify=false
-Categories=Application;Network;